Support » Plugin: WordPress Backup to Dropbox » Premium Extension Error

  • Resolved ameldridge

    (@ameldridge)



    Have updated the plugin to v1.5.1 and when attempting to ‘Download and Install’ the Zip backup extension I’m receiving the following error:-

    Fatal error: Access level to Zip_Backup::$dropbox must be protected (as in class WP_Backup_Extension) or weaker in /var/sites/g/****/public_html/wp-content/plugins/wordpress-backup-to-dropbox/Extensions/class-zip-backup.php on line 165

    Only way to again access back to my WordPress site is to delete the plugin folder completely!

    Please advise.

    Thanks,

    Ron

    http://wordpress.org/extend/plugins/wordpress-backup-to-dropbox/

Viewing 7 replies - 1 through 7 (of 7 total)
  • ME TOO !!

    SAME HERE!

    this is the older version

    http://downloads.wordpress.org/plugin/wordpress-backup-to-dropbox.1.4.5.zip

    and dont update to 1.5.1 !! so wait until they fix it

    Plugin Contributor Michael De Wildt

    (@michaeldewildt)

    Gday,

    I forgot to push the 1.5.1 zip extension to my servers. Im really sorry about this, ill review my release process and ensure it does not happen again.

    Cheers,
    MIkey

    Thanks for the reply Mikey.

    May I ask if it’s ok to upgrade to 1.5.1 now?

    Cheers,

    Ron

    Plugin Contributor Michael De Wildt

    (@michaeldewildt)

    Gday All,

    Thanks for your patience regarding the issues that I, regretfully, introduced into 1.5 and 1.5.1. 🙁

    I have learnt a lot about the more obscure parts WP plugin updater and object cache in the last couple of days and will be applying these learnings to future updates so this wont happen again! 🙂

    I am very confident that 1.5.2 has fixed all the issues that people have raised over the last few days.

    As per usual, if you notice any issues with this release, please let me know in a new thread.

    Cheers,
    Mikey

    Cheers for the update Mikey,

    All appears to be working for me with 1.5.2; The Zip backup extension has been installed (sorry I don’t use the Email one) and the issue experienced with 1.5.1 has not reappeared.

    Kind regards,

    Ron

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Premium Extension Error’ is closed to new replies.